# Serialized Form

Package grails.orm

Class grails.orm.PagedResultList extends Object implements Serializable

Serialized Fields

### list

    List list

### totalCount

    int totalCount

Package org.codehaus.groovy.grails.commons.spring

Class org.codehaus.groovy.grails.commons.spring.GrailsContextEvent extends ApplicationEvent implements Serializable

Serialized Fields

### eventType

    int eventType

Package org.codehaus.groovy.grails.exceptions

Class org.codehaus.groovy.grails.exceptions.CompilationFailedException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.exceptions.DataSourceRequiredPropertyMissingException extends GrailsDataSourceException implements Serializable

Class org.codehaus.groovy.grails.exceptions.GrailsConfigurationException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.exceptions.GrailsDataSourceException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.exceptions.GrailsDomainException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.exceptions.GrailsException extends RuntimeException implements Serializable

Class org.codehaus.groovy.grails.exceptions.GrailsRuntimeException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.exceptions.InvalidPropertyException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.exceptions.MoreThanOneActiveDataSourceException extends GrailsDataSourceException implements Serializable

Class org.codehaus.groovy.grails.exceptions.NewInstanceCreationException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.exceptions.RequiredPropertyMissingException extends GrailsException implements Serializable

Package org.codehaus.groovy.grails.orm.hibernate.cfg

Class org.codehaus.groovy.grails.orm.hibernate.cfg.DefaultGrailsDomainConfiguration extends org.hibernate.cfg.Configuration implements Serializable

serialVersionUID: -7115087342689305517L

Serialized Fields

### grailsApplication

    GrailsApplication grailsApplication

### domainClasses

    Set domainClasses

### configLocked

    boolean configLocked

Class org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsAnnotationConfiguration extends org.hibernate.cfg.AnnotationConfiguration implements Serializable

serialVersionUID: -7115087342689305517L

Serialized Fields

### grailsApplication

    GrailsApplication grailsApplication

### domainClasses

    Set domainClasses

### configLocked

    boolean configLocked

Package org.codehaus.groovy.grails.orm.hibernate.exceptions

Class org.codehaus.groovy.grails.orm.hibernate.exceptions.CouldNotDetermineHibernateDialectException extends GrailsHibernateException implements Serializable

Class org.codehaus.groovy.grails.orm.hibernate.exceptions.GrailsHibernateException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.orm.hibernate.exceptions.GrailsQueryException extends GrailsException implements Serializable

Package org.codehaus.groovy.grails.orm.hibernate.support

Class org.codehaus.groovy.grails.orm.hibernate.support.ClosureEventTriggeringInterceptor extends org.hibernate.EmptyInterceptor implements Serializable

Package org.codehaus.groovy.grails.plugins.exceptions

Class org.codehaus.groovy.grails.plugins.exceptions.PluginException extends RuntimeException implements Serializable

Package org.codehaus.groovy.grails.scaffolding.exceptions

Class org.codehaus.groovy.grails.scaffolding.exceptions.ScaffoldingException extends GrailsException implements Serializable

Package org.codehaus.groovy.grails.validation.exceptions

Class org.codehaus.groovy.grails.validation.exceptions.ConstraintException extends GrailsException implements Serializable

serialVersionUID: -4866968714197516789L

Package org.codehaus.groovy.grails.validation.routines

Class org.codehaus.groovy.grails.validation.routines.DomainValidator extends Object implements Serializable

Serialized Fields

### domainRegex

    RegexValidator domainRegex

  RegexValidator for matching domains.

Class org.codehaus.groovy.grails.validation.routines.InetAddressValidator extends Object implements Serializable

Serialized Fields

### ipv4Validator

    RegexValidator ipv4Validator

  IPv4 RegexValidator

Class org.codehaus.groovy.grails.validation.routines.RegexValidator extends Object implements Serializable

Serialized Fields

### patterns

    Pattern[] patterns

Class org.codehaus.groovy.grails.validation.routines.UrlValidator extends Object implements Serializable

Serialized Fields

### options

    long options

  Holds the set of current validation options.

### allowedSchemes

    Set allowedSchemes

  The set of schemes that are allowed to be in a URL.

### authorityValidator

    RegexValidator authorityValidator

  Regular expressions used to manually validate authorities if IANA domain name validation isn't desired.

Package org.codehaus.groovy.grails.web.context

Class org.codehaus.groovy.grails.web.context.GrailsContextLoaderServlet extends ContextLoaderServlet implements Serializable

Package org.codehaus.groovy.grails.web.converters.exceptions

Class org.codehaus.groovy.grails.web.converters.exceptions.ConverterException extends RuntimeException implements Serializable

serialVersionUID: -4211512662882252140L

Package org.codehaus.groovy.grails.web.errors

Class org.codehaus.groovy.grails.web.errors.GrailsWrappedRuntimeException extends GrailsException implements Serializable

Serialized Fields

### className

    String className

### lineNumber

    int lineNumber

### stackTrace

    String stackTrace

### codeSnippet

    String[] codeSnippet

### gspFile

    String gspFile

### cause

    Throwable cause

### resolver

    PathMatchingResourcePatternResolver resolver

### stackTraceLines

    String[] stackTraceLines

Package org.codehaus.groovy.grails.web.json

Class org.codehaus.groovy.grails.web.json.JSONException extends Exception implements Serializable

Serialized Fields

### cause

    Throwable cause

Package org.codehaus.groovy.grails.web.mapping.exceptions

Class org.codehaus.groovy.grails.web.mapping.exceptions.UrlMappingException extends GrailsException implements Serializable

Package org.codehaus.groovy.grails.web.pages

Class org.codehaus.groovy.grails.web.pages.GroovyPagesServlet extends HttpServlet implements Serializable

Serialized Fields

### context

    ServletContext context

### grailsAttributes

    GrailsApplicationAttributes grailsAttributes

Package org.codehaus.groovy.grails.web.pages.exceptions

Class org.codehaus.groovy.grails.web.pages.exceptions.GroovyPagesException extends GrailsException implements Serializable

Package org.codehaus.groovy.grails.web.servlet

Class org.codehaus.groovy.grails.web.servlet.ErrorHandlingServlet extends GrailsDispatcherServlet implements Serializable

Class org.codehaus.groovy.grails.web.servlet.GrailsDispatcherServlet extends DispatcherServlet implements Serializable

Serialized Fields

### application

    GrailsApplication application

### urlHelper

    UrlPathHelper urlHelper

### grailsController

    SimpleGrailsController grailsController

### interceptors

    HandlerInterceptor[] interceptors

### multipartResolver

    MultipartResolver multipartResolver

Class org.codehaus.groovy.grails.web.servlet.GrailsFlashScope extends Object implements Serializable

Serialized Fields

### current

    HashMap current

### next

    HashMap next

Package org.codehaus.groovy.grails.web.servlet.mvc.exceptions

Class org.codehaus.groovy.grails.web.servlet.mvc.exceptions.ControllerExecutionException extends GrailsMVCException implements Serializable

Class org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException extends GrailsException implements Serializable

Class org.codehaus.groovy.grails.web.servlet.mvc.exceptions.IncompatibleParameterCountException extends GrailsMVCException implements Serializable

Class org.codehaus.groovy.grails.web.servlet.mvc.exceptions.InvalidUriException extends GrailsMVCException implements Serializable

Class org.codehaus.groovy.grails.web.servlet.mvc.exceptions.NoClosurePropertyForURIException extends GrailsMVCException implements Serializable

Class org.codehaus.groovy.grails.web.servlet.mvc.exceptions.NoViewNameDefinedException extends GrailsMVCException implements Serializable

Class org.codehaus.groovy.grails.web.servlet.mvc.exceptions.UnknownControllerException extends GrailsMVCException implements Serializable

Class org.codehaus.groovy.grails.web.servlet.mvc.exceptions.UnsupportedReturnValueException extends GrailsMVCException implements Serializable

Package org.codehaus.groovy.grails.web.taglib.exceptions

Class org.codehaus.groovy.grails.web.taglib.exceptions.GrailsTagException extends GrailsException implements Serializable

Serialized Fields

### fileName

    String fileName

### lineNumber

    int lineNumber

Package org.codehaus.groovy.grails.web.taglib.jsp

Class org.codehaus.groovy.grails.web.taglib.jsp.JspActionSubmitTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### value

    String value

Class org.codehaus.groovy.grails.web.taglib.jsp.JspCheckboxTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### name

    String name

### value

    String value

Class org.codehaus.groovy.grails.web.taglib.jsp.JspCurrencySelectTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### name

    String name

### value

    String value

Class org.codehaus.groovy.grails.web.taglib.jsp.JspDatePickerTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### name

    String name

### value

    String value

### precision

    String precision

Class org.codehaus.groovy.grails.web.taglib.jsp.JspEachErrorTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### bean

    String bean

### model

    String model

### field

    String field

Class org.codehaus.groovy.grails.web.taglib.jsp.JspFormRemoteTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### controller

    String controller

### action

    String action

### id

    String id

### update

    String update

### before

    String before

### after

    String after

### method

    String method

### asynchronous

    String asynchronous

### url

    String url

### params

    String params

### onSuccess

    String onSuccess

### onFailure

    String onFailure

### onComplete

    String onComplete

### onLoading

    String onLoading

### onLoaded

    String onLoaded

### onInteractive

    String onInteractive

Class org.codehaus.groovy.grails.web.taglib.jsp.JspFormTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### controller

    String controller

### action

    String action

### id

    String id

### url

    String url

### params

    String params

### method

    String method

Class org.codehaus.groovy.grails.web.taglib.jsp.JspHasErrorsTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### bean

    String bean

### model

    String model

### field

    String field

Class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag extends BodyTagSupport implements Serializable

Serialized Fields

### tagName

    String tagName

### invocationCount

    int invocationCount

### invocationArgs

    List invocationArgs

### invocationBodyContent

    List invocationBodyContent

### bean

    BeanWrapper bean

### attributes

    Map attributes

### sw

    StringWriter sw

### out

    PrintWriter out

### jspWriter

    JspWriter jspWriter

### grailsAttributes

    GrailsApplicationAttributes grailsAttributes

### application

    GrailsApplication application

### appContext

    ApplicationContext appContext

### tagContent

    String tagContent

### bodyInvokation

    boolean bodyInvokation

Class org.codehaus.groovy.grails.web.taglib.jsp.JspLinkTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### controller

    String controller

### action

    String action

### id

    String id

### url

    String url

Class org.codehaus.groovy.grails.web.taglib.jsp.JspLocaleSelectTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### name

    String name

### value

    String value

Class org.codehaus.groovy.grails.web.taglib.jsp.JspMessageTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### code

    String code

### error

    String error

Class org.codehaus.groovy.grails.web.taglib.jsp.JspRemoteFunctionTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### controller

    String controller

### action

    String action

### id

    String id

### update

    String update

### before

    String before

### after

    String after

### method

    String method

### asynchronous

    String asynchronous

### url

    String url

### params

    String params

### onSuccess

    String onSuccess

### onFailure

    String onFailure

### onComplete

    String onComplete

### onLoading

    String onLoading

### onLoaded

    String onLoaded

### onInteractive

    String onInteractive

Class org.codehaus.groovy.grails.web.taglib.jsp.JspRemoteLinkTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### controller

    String controller

### action

    String action

### id

    String id

### update

    String update

### before

    String before

### after

    String after

### method

    String method

### asynchronous

    String asynchronous

### url

    String url

### params

    String params

### onSuccess

    String onSuccess

### onFailure

    String onFailure

### onComplete

    String onComplete

### onLoading

    String onLoading

### onLoaded

    String onLoaded

### onInteractive

    String onInteractive

Class org.codehaus.groovy.grails.web.taglib.jsp.JspRenderErrorsTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### bean

    String bean

### model

    String model

### field

    String field

### as

    String as

Class org.codehaus.groovy.grails.web.taglib.jsp.JspRenderInputTag extends RequestContextAwareTag implements Serializable

Serialized Fields

### bean

    String bean

### property

    String property

Class org.codehaus.groovy.grails.web.taglib.jsp.JspRenderTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### template

    String template

### bean

    String bean

### collection

    String collection

### model

    String model

Class org.codehaus.groovy.grails.web.taglib.jsp.JspSelectTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### name

    String name

### from

    String from

### optionKey

    String optionKey

### optionValue

    String optionValue

Class org.codehaus.groovy.grails.web.taglib.jsp.JspSubmitToRemoteTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### name

    String name

### value

    String value

### controller

    String controller

### action

    String action

### id

    String id

### update

    String update

### before

    String before

### after

    String after

### method

    String method

### asynchronous

    String asynchronous

### url

    String url

### params

    String params

### onSuccess

    String onSuccess

### onFailure

    String onFailure

### onComplete

    String onComplete

### onLoading

    String onLoading

### onLoaded

    String onLoaded

### onInteractive

    String onInteractive

Class org.codehaus.groovy.grails.web.taglib.jsp.JspTimeZoneSelectTag extends JspInvokeGrailsTagLibTag implements Serializable

Serialized Fields

### name

    String name

### value

    String value

Package org.codehaus.groovy.grails.webflow.engine.builder

Class org.codehaus.groovy.grails.webflow.engine.builder.FlowDefinitionException extends RuntimeException implements Serializable

Package org.codehaus.groovy.grails.webflow.execution.repository.continuation

Class org.codehaus.groovy.grails.webflow.execution.repository.continuation.GrailsAwareSerializedFlowExecutionContinuation extends org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuation implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

  Throws:
    `IOException`

Package org.codehaus.groovy.grails.webflow.persistence

Class org.codehaus.groovy.grails.webflow.persistence.FlowAwareCurrentSessionContext extends SpringSessionContext implements Serializable

Copyright (c) 2005-2006 The Grails project